Manual Update stuck on Step 6 - Extracting

I hope this is the proper area to post this question. I tried to run a manual update (currently 11.0.3 and going to 12.0.0) with the command sudo -u www-data php /path/to/nextcloud/updater/updater.phar on my nextcloud instance and I got a couple of fatal errors caused by not having the proper PHP modules installed (php-xml, and php-curl). Easily fixed because the update didn’t get very far in the process to break anything. However, the php-zip module was also missing so when the updating process tried to uncompress the nextcloud zip file it threw an error. Looking at the error message i could see that i didn’t have the php-zip module installed so I installed it but when i re-ran the update I get the message “Step 6 is currently in process. Please call this command later.” This is where i sit. Am i able to start over? Is there a temp directory or file I can remove to start the process over again? Any help or suggestions are greatly appreciated. Thanks.

Brian

1 Like

I’ve experienced a similar issue. Reason being most likely the snap update running repeatedly at the same time, according to syslog this snap stuff has been round-tripping for ages already…
Once I removed the nextcloud snap package (backed up the /var/www/nextcloud folder before), the warnings regarding missing curl and zip modules disappeared. Hope this helps…

Is that an issue if i don’t run snap packages?

no. But it’s strange that you were able to run NC before without all these required modules. I would check first if you have everything in order to avoid that the update process stops somewhere breaking your setup.

After a fair amount of digging i finally found the answer by scrolling down a few more pages in the manual upgrade portion of the server administration documentation. I ran
sudo -u www-data php /path/to/nextcloud/occ maintenance:repair
on the command line and it fixed my problem. After that and INSTALLING ALL THE NECESSARY PHP PLUGINS everything ran as advertised.

Brian

5 Likes

Hi, Can you Tell me the equivalent command for FreeBSD ? I’m running FreeNAS here…

I could not run occ maintenance:repair because occ stop telling me that my PHP version 7.4 was too high:

This version of Nextcloud is not compatible with > PHP 7.3.
You are currently running 7.4.5.

In Upgrade: Step 4 is currently in process I found the solution to get the updater working again:

rm -r data/updater-*/

su -m php-user -c 'php /path/to/nextcloud/occ ...'

Does anyone know what the commands are if you’re running a nextcloud docker image?
All it says is Could not open input file: occ